@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins",sans-serif;
}

:root{
    /* Dark mode colors */
    --text-color:#E3E3E3;
    --subheading-color: #828282;
    --placeholder-color: #A6A6A6;
    --primary-color: #101010;
    --secondary-color: #242424;
    --secondary-hover-color: #444;
}

.light_mode{
     /* light mode colors */
    --text-color:#222;
    --subheading-color: #A0A0A0;
    --placeholder-color: #6C6C6C;
    --primary-color: #FFF;
    --secondary-color: #E9EEF6;
    --secondary-hover-color: #DBE1EA;
}

/* base color */

body{
    background: var(--primary-color);
}

/* header part */

.header , .chat-list .message , .typing-form{
    margin: 0 auto;
    max-width: 980px;
}
.header{
    margin-top: 6vh;
    padding: 1rem;
    overflow-x: hidden;
}

body.hide-header .header{
    margin: 0;
    display: none;
}

.header :where(.title,.subtitle){
    color: var(--text-color);
    font-weight: 500;
    line-height: 4rem;
}

.header .title{
    width: fit-content;
    font-size: 3rem;
    background-clip: text;
    background: linear-gradient(to right,#4258f4,#d96570);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.header .subtitle{
    font-size: 2.6rem;
    color: var(--subheading-color);
}

.suggestion-list{
    width: 100%;
    list-style: none;
    display: flex;
    gap: 1.25rem;
    margin-top: 9vh;
    overflow: hidden;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;
}

.suggestion-list .suggestion{
    cursor: pointer;
    padding: 1.25rem;
    width: 222px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    border-radius: 0.75rem;
    justify-content:space-between;
    background: var(--secondary-color);
    transition: 0.2s ease;
}

.suggestion-list .suggestion:hover{
    background: var(--secondary-hover-color);
}

.suggestion-list .suggestion :where(.text,.icon){
    font-weight: 400;
    color: var(--text-color);
}

.suggestion-list .suggestion .icon{
    width: 42px;
    height: 42px;
    display: flex;
    font-size: 1.3rem;
    margin-top: 2.5rem;
    align-self: flex-end;
    align-items: center;
    border-radius: 50%;
    justify-content: center;
    color: var(--text-color);
    background: var(--primary-color);
}

.chat-list {
    margin-top: 25px;
    padding: 2rem 1rem 12rem;
    max-height: 100vh;
    overflow-y: auto;
    scrollbar-color: #999 transparent;
}
.chat-list .message .incoming{
    margin-top: 3rem;
}

.chat-list .message .message-content{
    display: flex;
    gap: 1.5rem;
    width: 100%;
    align-items: center;
}

.chat-list .message .text{
    color: var(--text-color);
    white-space: pre-wrap;
}

.chat-list .message.error .text{
    color: tomato;
}

.chat-list .message .loading .text{
    display: none;
}

.chat-list .message .avatar{
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 50%;
    align-self: flex-start;
    margin-bottom: 25px;
}

.chat-list .message.loading .avatar{
    animation: rotate 3s linear infinite;
}
@keyframes rotate{
    100%{
        transform: rotate(360deg);
    }
}

.chat-list .message .icon{
    color: var(--text-color);
    cursor: pointer;
    height: 35px;
    width: 35px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: none;
    font-size: 1.25rem;
    margin-left: 3.5rem;
    visibility: hidden;
}

.chat-list .message .icon.hide{
    visibility: hidden;
}

.chat-list .message:not(.loading, .error):hover .icon:not(.hide){
    visibility: visible;
}

.chat-list .message .icon:hover{
    background: var(--secondary-hover-color);
}

.chat-list .message .loading-indicator{
    display: none;
    gap: 0.8rem;
    width: 100%;
    flex-direction: column;
}

.chat-list .message.loading .loading-indicator{
    display: flex;
}

.chat-list .message .loading-indicator .loading-bar{
    height: 11px;
    width: 100%;
    border-radius: 0.135rem;
    background-position: -800px 0;
    background: linear-gradient(to right, #4258f4 , var(--primary-color), #4258f4);
    animation: loading 3s linear infinite;
}
.chat-list .message .loading-indicator .loading-bar:last-child{
    width: 70%;
}
@keyframes loading{
    0%{
        background-position:-800px 0 ;
    }
    100%{
        background-position:800px 0 ;
    }
}


.typing-area{
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0;
    padding: 1rem;
    background: var(--primary-color);
}

.typing-area :where(.typing-form, .action-buttons){
    display: flex;
    gap: 0.75rem;
}

.typing-form .input-wrapper{
    width: 100%;
    height: 56px;
    display: flex;
    position: relative;
}
.typing-form .typing-input{
     height: 100%;
     width: 100%;
     border: none;
     outline: none;
     resize: none;
     font-size: 1rem;
     color: var(--text-color);
     padding: 1.1rem 4rem 1.1rem 1.5rem;
     border-radius: 100px;
     background-color: var(--secondary-color);
}

.typing-form .typing-input:focus{
    background: var(--secondary-hover-color);
}

.typing-form .typing-input::placeholder{
    color: var(--placeholder-color);
}

.typing-area .icon{
    width: 56px;
    height: 56px;
    flex-shrink: 0;
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    font-size: 1.4rem;
    color: var(--text-color);
    align-items: center;
    justify-content: center;
    background: var(--secondary-color);
    transition: 0.2s ease;
}

.typing-area .icon:hover{
    background:var(--secondary-hover-color)
}

.typing-form #send-message-button{
    position: absolute;
    right: 0;
    outline: none;
    border: none;
    transform: scale(0);
    background: transparent;
    transition: transform 0.2s ease;

}

.typing-form .typing-input:valid ~ #send-message-button{
    transform: scale(1);
}

.typing-area .disclaimer{
    text-align: center;
    font-size: 0.85rem;
    margin-top: 1rem;
    color: var(--placeholder-color);
}

@media (max-width:768px){
    .header :is(.title, .subtitle){
        font-size: 2rem;
        line-height: 2.6rem;
    }
    .header .subtitle{
        font-size: 1.7rem;
    }
    .typing-area :where(.typing-form, .action-buttons){
        gap: 0.4rem;
    }
    .typing-form .input-wrapper{
        height: 50px;
    }
    .typing-form .typing-input{
        padding: 1.1rem 3.5rem 1.1rem 1.2rem;
    }
    .typing-area .icon{
        height: 50px;
        width: 50px;
    }
    .typing-area .disclaimer{
        font-size: 0.75rem;
        margin-top: 0.5rem;
    }
}